Google Web Toolkit
Search Google Code:

# applicationCreator

Generates a starter application and scripts for launching hosted mode and compiling to JavaScript.

`applicationCreator [-eclipse projectName] [-out dir] [-overwrite] [-ignore] className`

`-eclipse` | Creates a debug launch configuration for the named eclipse project
`-out` | The directory to write output files into (defaults to current)
`-overwrite` | Overwrite any existing files
`-ignore` | Ignore any existing files; do not overwrite
`className` | The fully-qualified name of the application class to create

## Example

     ~/Foo> applicationCreator -eclipse Foo com.example.foo.client.Foo
     Created directory src/com/example/foo/client
     Created directory src/com/example/foo/public
     Created file src/com/example/foo/Foo.gwt.xml
     Created file src/com/example/foo/public/Foo.html
     Created file src/com/example/foo/client/Foo.java
     Created file Foo.launch
     Created file Foo-shell
     Created file Foo-compile

Running `Foo-shell` brings up the new app in hosted mode. `Foo-compile` translates the Java app to JavaScript, creating a web folder under `www`. `Foo.launch` is a launch configuration for Eclipse.